Hey all,

I just got a mac and installed ghc 6.10 and gtk2hs using macports, the commands I used were:
(I think)

sudo port install ghc
sudo port install gtk2hs

It build perfectly with it.

Regards,
Michael

http://www.mickinator.com/wordpress

On Mon, Apr 13, 2009 at 10:54 PM, Peter Verswyvelen <bugfact@gmail.com> wrote:
Okay thanks, because someone I know recompiled GTK2HS using GHC 6.10.2 on OSX and that seemed to work, so I thought it was just a matter of recompilation, which apparently is untrue. Maybe he was is not using the problematic callbacks.



On Mon, Apr 13, 2009 at 11:44 PM, Peter Gavin <pgavin@gmail.com> wrote:
On 4/13/09 5:38 PM, Peter Verswyvelen wrote:
On Windows, you can't install GTK2HS when GHC 6.10.2 is installed.

Are these incompatible?



At the moment, yes.  The most recent release of Gtk2HS was compiled against GHC 6.10.1, and the binaries created by GHC are not compatible across GHC versions. However, I don't see any reason you can't have both GHC 6.10.1 & 6.10.2 installed (but Gtk2HS will still only work with 6.10.1).

We also have a few problems dealing with callbacks that need to be ironed out before building with GHC 6.10.2 will work.  So it may be some time before a new release will be made.

Pete


------------------------------------------------------------------------------
This SF.net email is sponsored by:
High Quality Requirements in a Collaborative Environment.
Download a free trial of Rational Requirements Composer Now!
http://p.sf.net/sfu/www-ibm-com
_______________________________________________
Gtk2hs-users mailing list
Gtk2hs-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gtk2hs-users